﻿DECLARE
	@@SQL_TEXT VARCHAR(MAX),
	@@PD_CD VARCHAR (20) = @0,
	@@BUYER_CD VARCHAR (25) = @1,
	@@ORDER_NO VARCHAR (20) = @2, 
	@@ORDER_DT_FROM VARCHAR (10) = @3,
	@@ORDER_DT_TO VARCHAR (10) = @4


	SET @@SQL_TEXT =
		'SELECT TB_EXPORT.PD_CD, 
				TB_EXPORT.BUYER_CD,
				TB_EXPORT.ORDER_NO,
				TB_EXPORT.ORDER_DT,
				TB_EXPORT.TRANSPORTATION_CD,
				TB_EXPORT.ORDER_TYPE,
				TB_EXPORT.BO_INSTRUCTION_CD,
				TB_EXPORT.PAYMENT_TERM_CD,
				TB_EXPORT.CURRENCY_CD,
				TB_EXPORT.SELLER_CD,
				TB_EXPORT.TNSO_FILE_CD,
				TB_EXPORT.PRICE_TERM_CD,
				TB_EXPORT.ORIGINAL_BUYER_CD

				FROM [spex].[TB_M_TOPAS_EXPORT_ORDER_H] TB_EXPORT
				WHERE 1 = 1'

	IF (@@PD_CD <> '' )
	BEGIN	
		
		SET @@SQL_TEXT = @@SQL_TEXT + ' AND TB_EXPORT.PD_CD = ''' + @@PD_CD + ''''
	END

	IF (@@BUYER_CD <> '' )
	BEGIN	
		
		SET @@SQL_TEXT = @@SQL_TEXT + ' AND TB_EXPORT.BUYER_CD = ''' + @@BUYER_CD + ''''
	END

	IF (@@ORDER_NO <> '' )
	BEGIN	
		
		SET @@SQL_TEXT = @@SQL_TEXT + ' AND TB_EXPORT.ORDER_NO LIKE ''%' + @@ORDER_NO + '%'''
	END

	IF (@@ORDER_DT_FROM <> '' )
	BEGIN	
		
		SET @@SQL_TEXT = @@SQL_TEXT + ' AND TB_EXPORT.ORDER_DT >= ''' + @@ORDER_DT_FROM + '''' 
	END

	IF (@@ORDER_DT_TO <> '' ) 
	BEGIN 
	  SET @@SQL_TEXT = @@SQL_TEXT + ' AND TB_EXPORT.ORDER_DT <= ''' + @@ORDER_DT_TO + ''''
	END

	EXECUTE (@@SQL_TEXT)